View chargebacks

Returns all chargebacks within the given date range for all merchant IDs associated with the Nexio account used to authenticate. You may also request or filter on fields of the query parameters, as in the following example:

/chargeback/v3?kount.&plugin.&customer.&processor.&gateway.

See the query parameters section in Guides for a full tutorial.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • endDate
  • limit
  • offset
  • startDate

Response parameters

  • offset
  • limit
  • rows
  • rows.id
  • rows.relatedChargebackId
  • rows.merchantId
  • rows.reportDate
  • rows.sequenceNumber
  • rows.cardType
  • rows.cardNumber
  • rows.amount
  • rows.transactionDate
  • rows.reasonCode
  • rows.description
  • rows.referenceNumber
  • rows.message
  • rows.authCode
  • rows.lockBoxBatch
  • rows.cardIdentifier
  • rows.transactionCode
  • rows.transactionId
  • rows.transactionRef
  • rows.chargebackCycle
  • rows.isDisputed
  • rows.achId
  • rows.achDetailsId
  • rows.currencyId
  • rows.emailSentDate
  • rows.createdAt
  • rows.updatedAt
  • hasMore
Query Params
integer
Defaults to 10

Specifies the maximum number of chargebacks to return in a single API response. For example, if you set limit=20, the API returns up to 20 chargebacks starting from the position specified by the offset parameter.

integer
Defaults to 0

Specifies the starting point within the list of chargebacks. Use it in conjunction with the limit parameter to control which subset of chargebacks the API returns. For example, if you set offset=10 and limit=20, the API skips the first 10 chargebacks and returns the next 20 chargebacks (in other words, chargebacks 11 to 30).

string

The start date. The default start date is 30 days prior to today's date. Format: YYYY-MM-DD

string

The end date. The default end date is today's date. Format: YYYY-MM-DD

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json